org.fourthline.cling.protocol.async

## Class SendingNotificationByebye

- java.lang.Object
- - org.fourthline.cling.protocol.SendingAsync
  - - org.fourthline.cling.protocol.async.SendingNotification
    - - org.fourthline.cling.protocol.async.SendingNotificationByebye

- All Implemented Interfaces:
    Runnable

      public class SendingNotificationByebye
      extends SendingNotification

  Sending BYEBYE notification messages for a registered local device.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendingNotificationByebye(UpnpService upnpService, LocalDevice device)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `execute()`
    `protected NotificationSubtype` | `getNotificationSubtype()`

    - ### Methods inherited from class org.fourthline.cling.protocol.async.SendingNotification

      `createDeviceMessages, createServiceTypeMessages, getBulkIntervalMilliseconds, getBulkRepeat, getDevice, sendMessages`

    - ### Methods inherited from class org.fourthline.cling.protocol.SendingAsync

      `getUpnpService, run, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SendingNotificationByebye

          public SendingNotificationByebye(UpnpService upnpService,
                                           LocalDevice device)

  - ### Method Detail

    - #### execute

          protected void execute()
                          throws RouterException

      Overrides:
        `execute` in class `SendingNotification`
      Throws:
        `RouterException`

    - #### getNotificationSubtype

          protected NotificationSubtype getNotificationSubtype()

      Specified by:
        `getNotificationSubtype` in class `SendingNotification`

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.